American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
StatisticsGathererAll< T > Class Template Reference

Collects all objects of interest. More...

`#include <all.h>`

Inheritance diagram for StatisticsGathererAll< T >:

List of all members.

## Public Member Functions
virtual void | dump_result (const size_t t, const size_t k, const T &object)
| operator StatisticsGathererInitial< T > () const
T | operator() (const size_t t, const size_t k) const
T & | operator() (const size_t t, const size_t k)
StatisticsGathererSome< T > | operator() (const std::vector< std::vector< size_t > > &path) const
StatisticsGathererPath< T > | operator() (const std::vector< size_t > &path) const
std::vector< T > | operator[] (const size_t t) const
std::vector< T > & | operator[] (const size_t t)
size_t | size () const
size_t | size (const size_t t) const
| StatisticsGathererAll ()

## Detailed Description

### template<class T>
class StatisticsGathererAll< T >

Collects all objects of interest.

## Constructor & Destructor Documentation

template<class T >

StatisticsGathererAll< T >::StatisticsGathererAll | ( |  | ) | `[inline]`

Constructor.

## Member Function Documentation

template<class T >

virtual void StatisticsGathererAll< T >::dump_result | ( | const size_t | t,
|  | const size_t | k,
|  | const T & | object
| ) |  | `[inline, virtual]`

Collects intance of object T at time t at node k.

Reimplemented from StatisticsGatherer< T >.

template<class T >

StatisticsGathererAll< T >::operator StatisticsGathererInitial< T > | ( |  | ) | const`[inline]`

template<class T >

StatisticsGathererPath<T> StatisticsGathererAll< T >::operator() | ( | const std::vector< size_t > & | path | ) | const`[inline]`

template<class T >

T& StatisticsGathererAll< T >::operator() | ( | const size_t | t,
|  | const size_t | k
| ) |  | `[inline]`

template<class T >

T StatisticsGathererAll< T >::operator() | ( | const size_t | t,
|  | const size_t | k
| ) |  | const`[inline]`

template<class T >

StatisticsGathererSome<T> StatisticsGathererAll< T >::operator() | ( | const std::vector< std::vector< size_t > > & | path | ) | const`[inline]`

template<class T >

std::vector<T> StatisticsGathererAll< T >::operator[] | ( | const size_t | t | ) | const`[inline]`

template<class T >

std::vector<T>& StatisticsGathererAll< T >::operator[] | ( | const size_t | t | ) | `[inline]`

template<class T >

size_t StatisticsGathererAll< T >::size | ( |  | ) | const`[inline]`

Number of steps.

template<class T >

size_t StatisticsGathererAll< T >::size | ( | const size_t | t | ) | const`[inline]`

Number of steps.

The documentation for this class was generated from the following file:

- statisticsgatherer/all.h

All Classes Namespaces Files Functions Variables Typedefs Defines